
Infrastructure - Bug #1655

multipart classes not cleaning up temp files

2011-06-23 18:32 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: CCI-0.6.2 Story Points:  

Product Version: *   

Description

History

#1 - 2011-06-23 18:36 - Rob Nahf

- Assignee set to Rob Nahf

- Category set to d1_common_java

SimpleMultipartEntity and possibly MultipartRequestHandler don't clean up the temp files they create when putting together a request.  Add a finalize

method to them, but watch out that they don't clean up the files prior to the message being transmitted.  Might be safer to put cleanup methods in the

classes and have callers (RestClient) trigger the cleanup upon message response.

#2 - 2011-06-27 01:15 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.23-Block.3 to Sprint-2011.26-Block.4

- Position deleted (1)

#3 - 2011-07-01 22:01 - Rob Nahf

- Status changed from New to Closed

- Milestone set to CCI-0.6.2

updated both SimpleMultipartEntity and MutilpartRequestHandler.  Updated SMPE tests to get MultipartRequestHandler out of the tests (they

apparently were never completed).
